MetaCPAN::Client::Distribution(3pm)

NAME
MetaCPAN::Client::Distribution - A Distribution data object

VERSION
version 2.044000

SYNOPSIS
    my $dist = $mcpan->distribution('MetaCPAN-Client');

DESCRIPTION
A MetaCPAN distribution entity object.

ATTRIBUTES

  name
The distribution's name.

  bugs
A hashref containing information about bugs reported in various issue trackers. The top-level keys are issue tracker names like "rt" or "github". Each value is itself a hashref containing information about the bugs in that tracker. The keys vary between trackers, but this will always contain a "source" key, which is a URL for the tracker. There may also be keys containing counts such as "active", "closed", etc.

  river
A hashref containing "CPAN River" <http://neilb.org/2015/04/20/river-of-cpan.html> information about the distro. The hashref contains the following keys:

•   bucket

    A positive or zero integer. The higher the number the farther upstream this distribution is.

•   immediate

    The number of distributions that directly depend on this one.

•   total

    The number of distributions that depend on this one, directly or indirectly.

METHODS

  rt
Returns the hashref of data for the rt bug tracker. This defaults to an empty hashref.

  github
Returns the hashref of data for the github bug tracker. This defaults to an empty hashref.

  metacpan_url
Returns a link to the distribution page on MetaCPAN.

AUTHORS

•   Sawyer X <xsawyerx@cpan.org>

•   Mickey Nasriachi <mickey@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Sawyer X.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.